Summary:	C stemming algorithm library
Name:		libstemmer
Version:	0
Release:	3%{?dist}
# code: https://github.com/snowballstem/snowball
URL:		http://snowball.tartarus.org
License:	BSD
Source0:	http://snowball.tartarus.org/dist/%{name}_c.tgz
Source1:	Notice.txt
Source2:	BSD.txt

BuildRequires:  gcc make

%description
Stemming maps different forms of the same word to a common "stem" - for example,
the English stemmer maps connection, connections, connective, connected, and connecting to connect.
So a searching for connected would also find documents which only have the other forms.

This stem form is often a word itself, but this is not always the case as this is not a requirement
for text search systems, which are the intended field of use. We also aim to conflate words with
the same meaning, rather than all words with a common linguistic root (so awe and awful don't have the same stem),
and over-stemming is more problematic than under-stemming so we tend not to stem in cases that are hard to resolve.
If you want to always reduce words to a root form and/or get a root form which is itself a word then
Snowball's stemming algorithms likely aren't the right answer.

Snowball is a small string processing language for creating stemming algorithms for use in Information Retrieval,
plus a collection of stemming algorithms implemented using it.


%package devel
Summary:	C stemming algorithm library developer files
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files of libstemmer.


%prep
%autosetup -n %{name}_c

sed -i -r "s|(^libstemmer.o:)|libstemmer.so: \$\(snowball_sources:.c=.o\)\n\
\t\$\(CC\) \$\(CFLAGS\) -shared \$\(LDFLAGS\) -Wl,-soname,libstemmer.so.0 \
-o \$\@.0.0.0 \$\^\n\1|" Makefile


%build
make libstemmer.so %{?_smp_mflags} CFLAGS="%{optflags} -fPIC -Iinclude" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
install -p -D -m 755 libstemmer.so.0.0.0 %{buildroot}%{_libdir}/
ln -s libstemmer.so.0.0.0 %{buildroot}%{_libdir}/libstemmer.so.0
ln -s libstemmer.so.0.0.0 %{buildroot}%{_libdir}/libstemmer.so
install -p -D -m 644 include/* %{buildroot}%{_includedir}/

cp %{SOURCE1} %{SOURCE2} .


%files
%license Notice.txt BSD.txt
%doc README
%{_libdir}/libstemmer.so.*


%files devel
%{_libdir}/libstemmer.so
%{_includedir}/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 rockerzhu <rockerzhu@tencent.com> - 0-1
- Initial build
